Public Web API: Bulk restart of process instance steps

Allows restarting the current process step for multiple process instances.
The step to be restarted must be in the Error state.

Request

POST /pub/v1/bpm/instance/restart-step

Request body

The resource sent in the request body is  Bulk restart of process instance steps — Request. It contains the following writable properties:

{
    "instanceIds": [
        "uuid"
    ]
}

Properties

Name Type Description Additional
instanceIds[] array of uuid

List of process instance IDs

Required

Authorization

This request requires the use of one of following authorisation methods: API key

Response

The following HTTP status codes may be returned:

Status code Description Resource
200 OK

Model for bulk restart of process instance steps

Model for bulk restart of process instance steps (Bulk restart of process instance steps)
400 Bad Request

Invalid request parameters

403 Forbidden

Bulk restart of process instance steps can only be performed by an administrator.